# node-poweredup Global

# Global

##

### Type Definitions

#### BrakingStyle

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `HOLD` | number | 127
  `BRAKE` | number | 128

  Source:
    - consts.js, line 137

#### BrakingStyle

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `HOLD` | number | 127
  `BRAKE` | number | 128

  Source:
    - consts.js, line 137

#### ButtonState

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `PRESSED` | number | 0
  `RELEASED` | number | 1
  `UP` | number | 2
  `DOWN` | number | 3
  `STOP` | number | 4

  Source:
    - consts.js, line 121

#### ButtonState

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `PRESSED` | number | 0
  `RELEASED` | number | 1
  `UP` | number | 2
  `DOWN` | number | 3
  `STOP` | number | 4

  Source:
    - consts.js, line 121

#### Color

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BLACK` | number | 0
  `PINK` | number | 1
  `PURPLE` | number | 2
  `BLUE` | number | 3
  `LIGHT_BLUE` | number | 4
  `CYAN` | number | 5
  `GREEN` | number | 6
  `YELLOW` | number | 7
  `ORANGE` | number | 8
  `RED` | number | 9
  `WHITE` | number | 10
  `NONE` | number | 255

  Source:
    - consts.js, line 89

#### Color

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BLACK` | number | 0
  `PINK` | number | 1
  `PURPLE` | number | 2
  `BLUE` | number | 3
  `LIGHT_BLUE` | number | 4
  `CYAN` | number | 5
  `GREEN` | number | 6
  `YELLOW` | number | 7
  `ORANGE` | number | 8
  `RED` | number | 9
  `WHITE` | number | 10
  `NONE` | number | 255

  Source:
    - consts.js, line 89

#### DeviceType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `SIMPLE_MEDIUM_LINEAR_MOTOR` | number | 1
  `TRAIN_MOTOR` | number | 2
  `LED_LIGHTS` | number | 8
  `VOLTAGE` | number | 20
  `CURRENT` | number | 21
  `PIEZO_TONE` | number | 22
  `RGB_LIGHT` | number | 23
  `WEDO2_TILT` | number | 34
  `WEDO2_DISTANCE` | number | 35
  `COLOR_DISTANCE_SENSOR` | number | 37
  `MEDIUM_LINEAR_MOTOR` | number | 38
  `MOVE_HUB_MEDIUM_LINEAR_MOTOR` | number | 39
  `BOOST_TILT` | number | 40
  `DUPLO_TRAIN_BASE_MOTOR` | number | 41
  `DUPLO_TRAIN_BASE_SPEAKER` | number | 42
  `DUPLO_TRAIN_BASE_COLOR` | number | 43
  `DUPLO_TRAIN_BASE_SPEEDOMETER` | number | 44
  `CONTROL_PLUS_LARGE_MOTOR` | number | 46
  `CONTROL_PLUS_XLARGE_MOTOR` | number | 47
  `POWERED_UP_REMOTE_BUTTON` | number | 55
  `RSSI` | number | 56
  `CONTROL_PLUS_ACCELEROMETER` | number | 58
  `CONTROL_PLUS_TILT` | number | 59

  Source:
    - consts.js, line 25

#### DeviceType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `SIMPLE_MEDIUM_LINEAR_MOTOR` | number | 1
  `TRAIN_MOTOR` | number | 2
  `LED_LIGHTS` | number | 8
  `VOLTAGE` | number | 20
  `CURRENT` | number | 21
  `PIEZO_TONE` | number | 22
  `RGB_LIGHT` | number | 23
  `WEDO2_TILT` | number | 34
  `WEDO2_DISTANCE` | number | 35
  `COLOR_DISTANCE_SENSOR` | number | 37
  `MEDIUM_LINEAR_MOTOR` | number | 38
  `MOVE_HUB_MEDIUM_LINEAR_MOTOR` | number | 39
  `BOOST_TILT` | number | 40
  `DUPLO_TRAIN_BASE_MOTOR` | number | 41
  `DUPLO_TRAIN_BASE_SPEAKER` | number | 42
  `DUPLO_TRAIN_BASE_COLOR` | number | 43
  `DUPLO_TRAIN_BASE_SPEEDOMETER` | number | 44
  `CONTROL_PLUS_LARGE_MOTOR` | number | 46
  `CONTROL_PLUS_XLARGE_MOTOR` | number | 47
  `POWERED_UP_REMOTE_BUTTON` | number | 55
  `RSSI` | number | 56
  `CONTROL_PLUS_ACCELEROMETER` | number | 58
  `CONTROL_PLUS_TILT` | number | 59

  Source:
    - consts.js, line 25

#### DuploTrainBaseSound

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BRAKE` | number | 3
  `STATION_DEPARTURE` | number | 5
  `WATER_REFILL` | number | 7
  `HORN` | number | 9
  `STEAM` | number | 10

  Source:
    - consts.js, line 147

#### DuploTrainBaseSound

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `BRAKE` | number | 3
  `STATION_DEPARTURE` | number | 5
  `WATER_REFILL` | number | 7
  `HORN` | number | 9
  `STEAM` | number | 10

  Source:
    - consts.js, line 147

#### HubType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `WEDO2_SMART_HUB` | number | 1
  `MOVE_HUB` | number | 2
  `POWERED_UP_HUB` | number | 3
  `POWERED_UP_REMOTE` | number | 4
  `DUPLO_TRAIN_HUB` | number | 5
  `CONTROL_PLUS_HUB` | number | 6

  Source:
    - consts.js, line 3

#### HubType

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `UNKNOWN` | number | 0
  `WEDO2_SMART_HUB` | number | 1
  `MOVE_HUB` | number | 2
  `POWERED_UP_HUB` | number | 3
  `POWERED_UP_REMOTE` | number | 4
  `DUPLO_TRAIN_HUB` | number | 5
  `CONTROL_PLUS_HUB` | number | 6

  Source:
    - consts.js, line 3

#### Search results